import { IGenericNotebookMetadata, IGroupGenerator, IItemGenerator, ILintOptionsManager, IQueryResult, ILintingResult } from './interfaces';
export declare function hash(value: string): string;
export declare class Linter {
    hasKernel: boolean;
    options: ILintOptionsManager;
    update: IQueryResult | null;
    constructor(options: ILintOptionsManager, update: IQueryResult | null, hasKernel: boolean);
    generate(notebookMetadata: IGenericNotebookMetadata, itemGenerator: IItemGenerator, groupGenerator: IGroupGenerator): ILintingResult;
    private checkTitle;
    private checkCellDefinitions;
    private getNonExecutedTail;
    private getEmptyTail;
    private createFilteredResult;
    private groupByCell;
    private groupByType;
}
