import { ReadonlyPartialJSONValue } from '@lumino/coreutils';
import { ErrorTypeKey, IJulynterLintOptions, ILintOptionsManager, ReportId, ViewMode } from './interfaces';
export declare abstract class AbstractOptionsManager implements ILintOptionsManager {
    checks: IJulynterLintOptions;
    default: IJulynterLintOptions;
    filteredHashes: string[];
    abstract loadKey<T>(key: string, def: T): T;
    abstract saveKey(key: string, value: ReadonlyPartialJSONValue, ereport: boolean): void;
    checkReport(key: ReportId): boolean;
    checkType(key: ErrorTypeKey): boolean;
    checkMode(): ViewMode;
    checkView(): boolean;
    checkRestart(): boolean;
    checkRequirements(): string;
    checkFiltered(): string[];
    updateReport(key: ReportId, value: boolean): void;
    updateType(key: ErrorTypeKey, value: boolean): void;
    updateMode(mode: ViewMode): void;
    updateView(view: boolean): void;
    updateRestart(restart: boolean): void;
    updateRequirements(req: string): void;
    resetFiltered(): void;
    addLintFilter(hash: string): void;
    initializeOptions(checks: IJulynterLintOptions, filteredHashes: string[]): void;
    reloadOptions(): void;
    saveOptions(): void;
}
