import { ISanitizer } from '@jupyterlab/apputils';
import { NotebookPanel } from '@jupyterlab/notebook';
import { IJulynterLintOptions } from '../linter/interfaces';
import { Config } from './config';
import { ExperimentManager } from './experimentmanager';
import { AbstractOptionsManager } from '../linter/options';
import { ErrorHandler } from './errorhandler';
import { ReadonlyPartialJSONValue } from '@lumino/coreutils';
export declare class OptionsManager extends AbstractOptionsManager {
    private _experimentManager;
    private _eh;
    private _nbPanel;
    private _update;
    constructor(nbPanel: NotebookPanel, config: Config, environmentManager: ExperimentManager, errorHandler: ErrorHandler, update: () => void);
    readonly sanitizer: ISanitizer;
    loadKey<T>(key: string, def: T): T;
    saveKey(key: string, value: ReadonlyPartialJSONValue, ereport?: boolean): void;
    initializeOptions(checks: IJulynterLintOptions, filtered: string[]): void;
    reloadOptions(): void;
    saveOptions(): void;
}
