import React from 'react';
import { ReactWidget } from '@jupyterlab/apputils';
import { StatusRenderer } from './statusrenderer';
export class HeaderWidget extends ReactWidget {
    constructor(jtitle, status, eh, update) {
        super();
        this.jtitle = jtitle;
        this.update = update;
        this.status = status;
        this.eh = eh;
        this.addClass('julynter-header-widget');
    }
    titleClick() {
        try {
            this.update();
        }
        catch (error) {
            throw this.eh.report(error, 'Julynter:titleClick', []);
        }
    }
    render() {
        return (React.createElement("header", null,
            React.createElement("div", { className: "julynter-title", onClick: this.titleClick.bind(this), title: "Click to reload" }, this.jtitle),
            React.createElement(StatusRenderer, Object.assign({}, this.status, { errorHandler: this.eh }))));
    }
}
