/// <reference types="react" />
import { ReactWidget } from '@jupyterlab/apputils';
import { IReport } from '../../linter/interfaces';
import { NotebookHandler } from '../notebookhandler';
import { ErrorHandler } from '../errorhandler';
import { CellWidget } from './cellwidget';
import { LintAction } from './lintaction';
interface IItemProps {
    item: IReport;
    notebook: NotebookHandler;
    errorHandler: ErrorHandler;
    cellLints: {
        [num: string]: CellWidget;
    };
}
export declare class ItemWidget extends ReactWidget {
    item: IReport;
    notebook: NotebookHandler;
    errorHandler: ErrorHandler;
    cellLints: {
        [num: string]: CellWidget;
    };
    action: LintAction;
    constructor(options: IItemProps);
    createFeedback(): JSX.Element;
    protected render(): JSX.Element;
}
export {};
