import * as React from 'react';
import { CommandRegistry } from '@lumino/commands';
import { ContextMenu } from '@lumino/widgets';
import { IReport } from '../../linter/interfaces';
import { NotebookHandler } from '../notebookhandler';
import { ErrorHandler } from '../errorhandler';
export declare class LintAction {
    item: IReport;
    notebook: NotebookHandler;
    errorHandler: ErrorHandler;
    update: () => void;
    source: string;
    constructor(item: IReport, notebook: NotebookHandler, errorHandler: ErrorHandler, update: () => void, source: string);
    clone(newSource: string): LintAction;
    handle(action: () => void): (event: React.SyntheticEvent<HTMLSpanElement>) => void;
    click(): void;
    why(): void;
    populateMenu(commands: CommandRegistry, contextMenu: ContextMenu, postfix?: string): ContextMenu;
    contextMenu(event: React.MouseEvent<HTMLDivElement>): void;
    negativeFeedback(): void;
    positiveFeedback(): void;
    messageFeedback(): void;
}
