/// <reference types="react" />
import { Panel } from '@lumino/widgets';
import { ReactWidget } from '@jupyterlab/apputils';
import { IReport } from '../../linter/interfaces';
import { NotebookHandler } from '../notebookhandler';
import { ErrorHandler } from '../errorhandler';
import { CellWidget } from './cellwidget';
interface IListProps {
    reports: IReport[];
    notebook: NotebookHandler;
    errorHandler: ErrorHandler;
    cellLints: {
        [num: string]: CellWidget;
    };
}
export declare class ListWidget extends Panel {
    reports: IReport[];
    notebook: NotebookHandler;
    errorHandler: ErrorHandler;
    cellLints: {
        [num: string]: CellWidget;
    };
    constructor(options: IListProps);
    create(): void;
}
export declare class EmptyListWidget extends ReactWidget {
    protected render(): JSX.Element;
}
export {};
