import * as React from 'react';
import { Panel } from '@lumino/widgets';
import { ReactWidget } from '@jupyterlab/apputils';
import { ItemWidget } from './itemwidget'; /* eslint @typescript-eslint/no-unused-vars: 0 */
export class ListWidget extends Panel {
    constructor(options) {
        super();
        this.reports = options.reports;
        this.notebook = options.notebook;
        this.errorHandler = options.errorHandler;
        this.cellLints = options.cellLints;
        this.create();
    }
    create() {
        try {
            this.addClass('jp-Julynter-content');
            this.reports.forEach((el) => {
                const itemWidget = new ItemWidget({
                    item: el,
                    notebook: this.notebook,
                    errorHandler: this.errorHandler,
                    cellLints: this.cellLints,
                });
                this.addWidget(itemWidget);
            });
        }
        catch (error) {
            throw this.errorHandler.report(error, 'ListWidget:create', []);
        }
    }
}
export class EmptyListWidget extends ReactWidget {
    render() {
        return React.createElement("div", { className: "julynter-error-desc" }, " No notebooks to lint ");
    }
}
