/// <reference types="react" />
import { ILabShell } from '@jupyterlab/application';
import { Dialog, ReactWidget } from '@jupyterlab/apputils';
import { INotebookTracker } from '@jupyterlab/notebook';
import { ErrorTypeKey, IReport } from '../../linter/interfaces';
import { Config } from '../config';
import { NotebookHandler } from '../notebookhandler';
import { ErrorHandler } from '../errorhandler';
interface IToolbarProps {
    notebook: NotebookHandler;
    labShell: ILabShell;
    tracker: INotebookTracker;
    config: Config;
    handlers: {
        [id: string]: Promise<NotebookHandler>;
    };
    errorHandler: ErrorHandler;
    filtered: IReport[];
}
export declare class ToolbarWidget extends ReactWidget {
    notebook: NotebookHandler;
    labShell: ILabShell;
    tracker: INotebookTracker;
    config: Config;
    handlers: {
        [id: string]: Promise<NotebookHandler>;
    };
    errorHandler: ErrorHandler;
    filtered: IReport[];
    constructor(options: IToolbarProps);
    toggle(key: ErrorTypeKey): void;
    toggleMode(): void;
    toggleView(): void;
    toggleRestart(): void;
    removeFilters(): void;
    changeRequirements(): Promise<Dialog.IResult<string>>;
    configure(): void;
    private createFilterButtons;
    private createViewButton;
    private createRestartButton;
    private createRestartFilterButton;
    private createModeButton;
    protected render(): JSX.Element;
}
export {};
